Multivariate Pattern Analysis in Python

# mvpa2.base.report.Report

class `mvpa2.base.report.``Report`(name='report', title=None, path=None, author=None, style='Normal', fig_ext=None, font='Helvetica', pagesize=None)

  Simple PDF reports using reportlab

  Named report ‘report’ generates ‘report.pdf’ and directory ‘report/’ with images which were requested to be included in the report

  You can attach report to the existing ‘verbose’ with

      >>> report = Report()
      >>> verbose.handlers += [report]

  and then all verbose messages present on the screen will also be recorded in the report. Use

      >>> report.text("string")          #  to add arbitrary text
      >>> report.xml("<H1>skajdsf</H1>") # to add XML snippet

  or

      >>> report.figure()  # to add the current figure to the report.
      >>> report.figures() # to add existing figures to the report

  Note that in the later usecase, figures might not be properly interleaved with verbose messages if there were any between the creations of the figures.

  Inspired by Andy Connolly

  Methods

  `clear`() | Clear the report
  `figure`([fig, name, savefig_kwargs]) | Add a figure to the report
  `figures`(*args, **kwargs) | Adds all present figures at once
  `flowbreak`() | Just a marker for the break of the flow
  `save`([add_preamble]) | Saves PDF
  `text`(line, **kwargs) | Add a text string to the report
  `write`(line, **kwargs) | Just an alias for .text, so we could simply provide report
  `xml`(line[, style]) | Adding XML string to the report

  Initialize report

  Parameters:

  name : string

  > Name of the report

  title : string or None

  > Title to start the report, if None, name will be used

  path : string

  > Top directory where named report will be stored. Has to be set now to have correct path for storing image renderings. Default: current directory

  author : string or None

  > Optional author identity to be printed

  style : string

  > Default Paragraph to be used. Must be the one of the known to reportlab styles, e.g. Normal

  fig_ext : string

  > What extension to use for figures by default. If None, a default will be used. Since versions prior 2.2 of reportlab might do not support pdf, ‘png’ is default for those, ‘pdf’ otherwise

  font : string

  > Name of the font to use

  pagesize : tuple of floats

  > Optional page size if not to be default

  Methods

  `clear`() | Clear the report
  `figure`([fig, name, savefig_kwargs]) | Add a figure to the report
  `figures`(*args, **kwargs) | Adds all present figures at once
  `flowbreak`() | Just a marker for the break of the flow
  `save`([add_preamble]) | Saves PDF
  `text`(line, **kwargs) | Add a text string to the report
  `write`(line, **kwargs) | Just an alias for .text, so we could simply provide report
  `xml`(line[, style]) | Adding XML string to the report

  `clear`()

    Clear the report

  `figure`(fig=None, name=None, savefig_kwargs={}, **kwargs)

    Add a figure to the report

    Parameters:

    fig : None or str or `figure.Figure`

    > Figure to place into report: `str` is treated as a filename, `Figure` stores it into a file under directory and embeds into the report, and `None` takes the current figure

    savefig_kwargs : dict

    > Additional keyword arguments to provide savefig with (e.g. dpi)

    **kwargs

    > Passed to `reportlab.platypus.Image` constructor

  `figures`(*args, **kwargs)

    Adds all present figures at once

    If called twice, it might add the same figure multiple times, so make sure to close all previous figures if you use figures() multiple times

  `flowbreak`()

    Just a marker for the break of the flow

  `save`(add_preamble=True)

    Saves PDF

    Parameters:

    add_preamble : bool

    > Either to add preamble containing title/date/author information

  `text`(line, **kwargs)

    Add a text string to the report

  `write`(line, **kwargs)

    Just an alias for .text, so we could simply provide report as a handler for verbose

  `xml`(line, style=None)

    Adding XML string to the report